# typedef TouchEventInit

#### package js.html

Available on HTML5

### Properties

###

`altKey:Null<Bool>`

###

`bubbles:Null<Bool>`

###

`cancelable:Null<Bool>`

###

`changedTouches:Null<Array<Touch>>`

###

`ctrlKey:Null<Bool>`

###

`detail:Null<Int>`

###

`metaKey:Null<Bool>`

###

`modifierAltGraph:Null<Bool>`

###

`modifierCapsLock:Null<Bool>`

###

`modifierFn:Null<Bool>`

###

`modifierFnLock:Null<Bool>`

###

`modifierNumLock:Null<Bool>`

###

`modifierOS:Null<Bool>`

###

`modifierScrollLock:Null<Bool>`

###

`modifierSymbol:Null<Bool>`

###

`modifierSymbolLock:Null<Bool>`

###

`shiftKey:Null<Bool>`

###

`targetTouches:Null<Array<Touch>>`

###

`touches:Null<Array<Touch>>`

###

`view:Null<Window>`